summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov2017-10-07 22:14:04 +0200
committer Willy Sudiarto Raharjo2017-10-11 01:19:51 +0200
commit7f80fb2d089a8239eb5fa550000b2af3dbe08596 (patch)
tree721a2954fbe35a5df4dd34814006777d38ffa451
parent267f7f66099b2f8d842d8531e77feb1d671b547e (diff)
downloadslackbuilds-7f80fb2d089a8239eb5fa550000b2af3dbe08596.tar.gz
academic/pal2nal: Added (Create a codon-based DNA alignment).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--academic/pal2nal/README17
-rw-r--r--academic/pal2nal/References5
-rw-r--r--academic/pal2nal/pal2nal.SlackBuild68
-rw-r--r--academic/pal2nal/pal2nal.info10
-rw-r--r--academic/pal2nal/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/academic/pal2nal/README b/academic/pal2nal/README
new file mode 100644
index 0000000000..db752e12bc
--- /dev/null
+++ b/academic/pal2nal/README
@@ -0,0 +1,17 @@
+PAL2NAL is a program that converts a multiple sequence alignment of
+proteins and the corresponding DNA (or mRNA) sequences into a codon-
+based DNA alignment. The program automatically assigns the corresponding
+codon sequence even if the input DNA sequence has mismatches with the
+input protein sequence, or contains UTRs,polyA tails. It can also deal
+with frame shifts in the input alignment, which is suitable for the
+analysis of pseudogenes.
+
+The resulting codon-based DNA alignment can further be subjected to the
+calculation of synonymous (Ks) and non-synonymous (Ka) substitution
+rates.
+
+If you use PAL2NAL, please cite the following paper:
+
+Mikita Suyama, David Torrents, and Peer Bork (2006)
+PAL2NAL: robust conversion of protein sequence alignment into the
+corresponding codon alignments. Nucleic Acids Res. 34:W609-W612.
diff --git a/academic/pal2nal/References b/academic/pal2nal/References
new file mode 100644
index 0000000000..1e5ad383ab
--- /dev/null
+++ b/academic/pal2nal/References
@@ -0,0 +1,5 @@
+If you use PAL2NAL, please cite the following paper:
+
+Mikita Suyama, David Torrents, and Peer Bork (2006)
+PAL2NAL: robust conversion of protein sequence alignment into the
+corresponding codon alignments. Nucleic Acids Res. 34:W609-W612
diff --git a/academic/pal2nal/pal2nal.SlackBuild b/academic/pal2nal/pal2nal.SlackBuild
new file mode 100644
index 0000000000..86464650eb
--- /dev/null
+++ b/academic/pal2nal/pal2nal.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for pal2nal
+
+# Copyright 2017 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pal2nal
+VERSION=${VERSION:-14.0}
+SRCVER=v14
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}.${SRCVER}
+tar xvf $CWD/${PRGNAM}.${SRCVER}.tar.gz
+cd ${PRGNAM}.${SRCVER}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -m755 $PRGNAM.pl $PKG/usr/bin/$PRGNAM.pl
+
+# Copy some examples
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a for_paml test.aln test.nuc $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/pal2nal/pal2nal.info b/academic/pal2nal/pal2nal.info
new file mode 100644
index 0000000000..ded794e81b
--- /dev/null
+++ b/academic/pal2nal/pal2nal.info
@@ -0,0 +1,10 @@
+PRGNAM="pal2nal"
+VERSION="14.0"
+HOMEPAGE="http://www.bork.embl.de/pal2nal/"
+DOWNLOAD="http://www.bork.embl.de/pal2nal/distribution/pal2nal.v14.tar.gz"
+MD5SUM="cf8b2b9aaa7dce740a81454cf8136ba1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/pal2nal/slack-desc b/academic/pal2nal/slack-desc
new file mode 100644
index 0000000000..ab69b395e2
--- /dev/null
+++ b/academic/pal2nal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pal2nal: pal2nal (Create a codon-based DNA alignment)
+pal2nal:
+pal2nal: PAL2NAL is a program that converts a multiple sequence alignment
+pal2nal: of proteins and the corresponding DNA (or mRNA) sequences into
+pal2nal: a codon-based DNA alignment. The resulting codon-based DNA
+pal2nal: alignment can further be subjected to the calculation of
+pal2nal: synonymous (Ks) and non-synonymous (Ka) substitution rates.
+pal2nal:
+pal2nal: References: /usr/doc/pal2nal-14.0/References
+pal2nal: Home: http://www.bork.embl.de/pal2nal/
+pal2nal: